<?php

class formWidgetContentDatasetsOptions extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(

                    new fieldList('options:ctype_id', array(
						'title' => LANG_CONTENT_TYPE,
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $tree = $model->getContentTypes();

                            $items = array(0 => LANG_WD_DATASETS_DETECT);

                            if ($tree) {
                                foreach ($tree as $item) {
                                    //$items[$item['name']] = $item['title'];
									//$items[$item['id']] = $item['id'];
									$items[$item['id']] = $item['title'];
                                }
                            }

                            return $items;

                        }
                    )),
					
					new fieldCheckbox('options:is_root_hide', array(
                        'title' => LANG_WD_DATASETS_NO_SHOW_IN_ROOT,
						'hint' => LANG_WD_DATASETS_NO_SHOW_IN_ROOT_HINT,
                        'default' => false
                    )),

                )
            )

        );

    }

}
